a{
    color: #5b5b5b;
    text-decoration: none;
    outline: medium none;
}
input {
    border: none;
    color: #5b5b5b;
    font-family: robotolight;
    outline: none;
}
ul{
    list-style: none;
    padding: 0;
    margin: 0;
}
.largeTxt{
    font-size: 40px;
}
.mainTitle{
    font-size: 28px;
}
.title{
    font-size: 24px;
}
.subTitle{
    font-size: 22px;
}
.midTitle{
    font-size: 20px;
}
.smallTitle{
    font-size: 18px;
}
.mainNormal{
    font-size: 17px;
}
.normal{
    font-size: 16px;
}
.subNormal{
    font-size: 15px;
}
.small{
    font-size: 14px;
}
.smallest{
    font-size: 12px;
}
.pointer{
    cursor: pointer;
}
.roboRegular{
    font-family: robotoregular;
}
.roboLight{
    font-family: robotolight;
}
.robotoThin{
    font-family: robotothin;
}


.paddingBtmExtra{
    padding-bottom: 80px;
}
.borderBtm{
    border-bottom: 1px solid #ddd;
}
.borderLft{
    border-left: 1px solid #ddd;
}
.borderTop{
    border-top: 1px solid #ddd;
}

.paddingFull{
    padding: 20px 30px;
}
.paddingLR{
    padding: 0 20px;
}
.paddingTB{
    padding: 20px 0;
}
.paddingTop{
    padding-top: 20px;
}
.paddingBtm{
    padding-bottom: 20px;
}
.moreBtm{
    padding-bottom: 70px;
}
.marginFull{
    margin: 15px 15px;
}
.marginLR{
    margin: 0 15px;
}
.marginBtm{
    margin-bottom: 20px;
}
.marginTopSml{
    margin-top: 10px;
}
.marginTopShort{
    margin-top: 5px;
}
.marginBtmSml{
    margin-bottom: 10px;
}
.marginBtmSrt{
    margin-bottom: 5px;
}
.marginLeft{
    margin-left: 20px;
}
.marginLeftSml{
    margin-left: 10px;
}
.marginLeftSrt{
    margin-left: 5px;
}
.marginRgt{
    margin-right: 20px;
}
.marginRgtSml{
    margin-right: 10px;
}
.marginRgtSrt{
    margin-right: 5px;
}
.marginTop{
    margin-top: 20px;
}
.marginTopSml{
    margin-top: 10px;
}
.marginTB{
    margin: 15px 0;
}
.marginTBSml{
    margin: 10px 0;
}
.centerTxt{
    text-align: center;
}
.rightTxt{
    text-align: right;
}

.floatLeft{
    float: left;
}
.floatRight{
    float: right;
}
.overflowHide{
    overflow: hidden;
}
.midBlock{
    display: inline-block;
    vertical-align: middle;
}
.midBlockSeq{
    display: inline-block;
    vertical-align: middle;
    margin-left: -5px;
}
.relative{
    position: relative;
}
.clear{
    clear: both;
    display: block;
}

.block{
    display: block;
}
.inBlock{
    display: inline-block;
}

.bold{
    font-weight: bold;
}
.highlight{
    color: #52cce8;
}
.navBack{
    background: #686868;
}
.whiteBack{
    background: #ffffff;
}
.lightGreyBack{
    background: #f5f5f5;
}
.lightBack{
    background: #f3f3f3;
}
.greenBack{
    background: #49bab8;
}
.blueBack{
    background: #00c5f3;
}
.boxShadow{
    box-shadow: 0 2px 3px   rgba(0,0,0,0.25);
    position: relative;
}
.error{
    color: #DA4444;
}
/*.............. radio ........... */
.radio {
    position: relative;
}

.radio input[type="radio"] {
    border-radius: 25px;
    box-sizing: content-box;
    cursor: pointer;
    display: block;
    height: 22px;
    margin: 0;
    opacity: 0;
    position: relative;
    width: 22px;
    z-index: 2;
}

.radio .box {
    background: #e0e0e0 none repeat scroll 0 0;
    /*border: 5px solid #eaeaea;*/
    border: 5px solid #ffffff;
    border-radius: 25px;
    cursor: pointer;
    height: 14px;
    position: absolute;
    top: 0;
    width: 14px;
    z-index: 0;
    -webkit-transition: all ease-in 150ms;
    -moz-transition: all ease-in 150ms;
    -ms-transition: all ease-in 150ms;
    -o-transition: all ease-in 150ms;
    transition: all ease-in 150ms;
}


.radio input[type="radio"]:checked + .box {
    background: #7ac243;
}


/*......... Drop down ........*/
.dropDown{
    width: 170px;
    position: relative;
}
.dropDown.large{
    width: 300px;
}
.dropDown.medium{
    width: 230px;
}
.dropDown.auto{
    width: auto;
}
.dropDown .head{
    padding: 5px 15px;
    cursor: pointer;
}
.dropDown.round .head{
    border-radius: 8px;
}
.dropDown.grey .head{
    background: #686868;
}
.dropDown.white .head{
    background: #ffffff;
}
.dropDown .head .headTitle{
    display: inline-block;
    vertical-align: middle;
    min-width: 80px;
    line-height: 30px;
    width: 120px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.dropDown.grey .head .headTitle{
    color: #ffffff;
}
.dropDown.large .head .headTitle{
    width: 250px;
}
.dropDown.medium .head .headTitle{
    width: 175px;
}
.dropDown .head .sign{
    float: right;
    margin-top: 12px;
    width: 13px;
    height: auto;
}
.dropDown .list{
    background: #ffffff;
    position: absolute;
    left: 0;
    top: 100%;
    width: 100%;
    box-shadow: 0 0 2px rgba(0,0,0,0.3);
    display: none;
    z-index: 100;
    max-height: 162px;
    overflow: auto;
}
.dropDown.round .list{
    border-radius: 8px;
}
.dropDown .list li{
    border-bottom: 1px solid #c7c7c7;
    cursor: pointer;
    padding: 10px 15px;
}
.dropDown .list li:last-of-type{
    border-bottom: none;
}
.dropDown .list.anchor li{
    padding: 0;
}
.dropDown .list.anchor li a{
    display: block;
    padding: 10px 15px;
}
/*........ search box .......*/
.searchBox{
    border: 1px solid #dddddd;
}
.searchBox input{
    display: block;
    width: 100%;
    box-sizing: border-box;
    padding: 6px 12px;
}

/*........... checkbox .........*/
.checkbox {
    position: relative;
}

.checkbox input[type="checkbox"] {
    display: block;
    height: 19px;
    margin: 0;
    opacity: 0;
    position: relative;
    width: 19px;
    z-index: 2;
    cursor: pointer;
    box-sizing: content-box;
    /*border-radius: 6px;*/
}

.checkbox .box {
    background: #ffffff;
    /*border-radius: 6px;*/
    cursor: pointer;
    height: 22px;
    position: absolute;
    top: 0;
    width: 22px;
    z-index: 0;
    box-shadow: 0 0 1px #235112 inset;
    -webkit-transition: all ease-in 150ms;
    -moz-transition: all ease-in 150ms;
    -ms-transition: all ease-in 150ms;
    -o-transition: all ease-in 150ms;
    transition: all ease-in 150ms;
}


.checkbox input[type="checkbox"]:checked + .box {
    background: url('../images/chechWhite.png') no-repeat center #4aa826;
    background-size: 14px 14px;
}

/*...... tables .......*/

.dataTable{
    border-bottom: 1px solid #c7c7c7;
}
.dataTable .tableRow{
    border-top: 1px solid #c7c7c7;
}
.dataTable .tableRow .dataName{
    padding: 10px 30px;
    background: #f3f3f3;
    font-size: 15px;
}
.dataTable .tableRow .data{
    padding: 15px 30px;
}
.dataTable .tableRow .data li{
    padding: 2px 15px 8px 15px;
    border-right: 1px solid #ddd;
    float: left;
}
.dataTable .tableRow .data li:last-of-type{
    border-right: none;
}
.dataTable .tableRow .data li:first-child{
    padding-left: 0;
}
.dataTable .tableRow .data li .tag{
    font-size: 12px;
    margin-bottom: 2px;
}
.dataTable .tableRow .data li .tagDetail{
    font-size: 15px;
    color: #00b8f1;
}

.dataTable .tableRow .data .rank{
    width: 200px;
}
.dataTable .tableRow .alert{
    width: 250px;
}
.dataTable .tableRow .till{
    width: 150px;
}
.dataTable .tableRow .area{
    width: 100px;
}
.dataTable .tableRow .area .tagDetail{
    font-family: robotoregular;
}



.contentTabs{

}
.contentTabs ul li{
    float: left;
    text-align: center;
    margin-right: 20px;
}
.contentTabs ul li a{
    padding: 6px 20px;
    min-width: 60px;
    display: block;
    border-radius: 8px;
}
.blackBack.contentTabs ul li a{
    color: #969696;
}
.contentTabs.mainTabs ul li.active a{
    background: #e21731;
    color: #ffffff;
}

.contentTabs.subTabs ul li.active a{
    background: #4abab9;
    color: #ffffff;
}

/*........ form .......*/
.formMain{
    position: relative;
    max-width: 600px;
}
.formMain.medium{
    position: relative;
    max-width: 400px;
}
.form{

}
.form li{
    margin-bottom: 20px;
}
.form li input,
.form li textarea{
    display: inline-block;
    width: 250px;
    box-sizing: border-box;
    padding: 10px 15px;
    border: none;
    border-bottom: 2px solid #c7c7c7;
}
.form li input.full{
    width: 100%;
}
.form li .tag{
    margin-bottom: 5px;
    font-family: robotoregular;
    font-size: 13px;
}
.form li .dropDown{
    width: 250px;
}
.form li .dropDown.full{
    width: 100%;
}
.form li .dropDown .list{
    width: 100%;
    box-sizing: border-box;
}
.form li .dropDown .list li{
    float: none;
    width: 100%;
    box-sizing: border-box;
    margin: 0;
}
.form li .dropDown .head{
    border-bottom: 2px solid #c7c7c7;
}
.form li .dropDown .headTitle{
    width: 190px;
}
.form li .addElement{
    width: 40px;
    line-height: 40px;
    background: #7a3b80;
    text-align: center;
    color: #ffffff;
}
.form li textarea{
    width: 505px;
    font-family: robotolight;
    height: 70px;
    resize: none;
}
.formBtns .btn{
    width: 120px;
    text-align: center;
    color: #ffffff;
    padding: 12px 0;
    cursor: pointer;
    border: none;
}
.formBtns .btn.full{
    width: 100%;
}
.formBtns .btn.save{
    background: #7a3b80;
    -webkit-transition: all 200ms ease;
    -moz-transition: all 200ms ease;
    -ms-transition: all 200ms ease;
    -o-transition: all 200ms ease;
    transition: all 200ms ease;
}
.formBtns .btn.save:hover{
    background: #582b5d;
}
.formBtns .btn.cancel{
    background: #afafaf;
}
.formBtns .btn:disabled{
    background: #9d9d9d;
}
.formBtns .btn:disabled:hover{
    background: #898989;
}

.formMain .userMsg{
    background: #ffffff none repeat scroll 0 0;
    border-radius: 10px;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.3);
    box-sizing: border-box;
    left: 50%;
    margin-left: -150px;
    margin-top: -42px;
    padding: 20px 25px;
    position: absolute;
    top: 50%;
    width: 300px;
    display: none;
}

.btn{
    background: #7a3b80;
    color: #ffffff;
    cursor: pointer;
    display: inline-block;
    padding: 4px 20px;
}

/*...... data table .........*/
.dataTable{

}
.dataTable .dataRow{
    border-bottom: 1px solid #505b79;
}
.dataTable.last .dataRow:last-child{
    border-bottom: none;
}
.dataTable .dataRow .rowCont{
    box-sizing: border-box;
    display: table;
    table-layout: fixed;
    width: 100%;
    /*background: #ffffff;*/
    padding: 15px 10px;
}
.dataTable .dataRow .rowCont li{
    display: table-cell;
    vertical-align: middle;
    width: 20%;
    box-sizing: border-box;
    padding: 0 10px;
    /*border-right: 1px solid #b5b5b5;*/
}
.dataTable .dataRow .rowCont li:first-of-type{
    padding-left: 0;
}
.dataTable .dataRow .rowCont li:last-of-type{
    border-right: none;
    padding-right: 0;
}
.dataTable .dataRow .rowCont li .content{

}
.dataTable .dataRow .rowCont li .content .detailTag{
    margin-bottom: 10px;
}

/*....... Pagination ........*/
.pagination{
    text-align: center;
}
.pagination li{
    display: inline-block;
    font-size: 15px;
    line-height: 35px;
    width: 35px;
    text-align: center;
    border-radius: 20px;
    margin-right: 10px;
    color: #717c99;
    cursor: pointer;
}
.pagination li.active{
    background: #7a3b80;
    color: #ffffff;
}
.pagination li:last-of-type{
    margin-right: 0;

}

/*...... overwrite ......*/
/*hide link btn on map*/
.ol-attribution,
.ol-rotate{
    display: none;
}


/*....... popup .........*/

.background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(252, 252, 252, 0.8);
    z-index: 150;
    display: none;
}
.popup{
    position:absolute;
    z-index: 200;
    padding: 20px;
    display: none;

}
.popup .x{
    color: #e02727;
    cursor: pointer;
    padding: 5px 10px;
    position: absolute;
    right: 0;
    top: 0;

}


/*........ overwriting css for map cam ......*/
.laneMapBox .popup-label{
    border: medium none;
    border-radius: 0;
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.4);
    padding: 4px;
}
.laneMapBox .popup-label video{
    display: block;
}
.laneMapBox .popup-label.marker::before {
    left: -7px;
    border-left-color: #848484;
    border-right-color: #848484;
}


/*........ Date picker overwrite ..........*/
#ui-datepicker-div{
    border: medium none;
    border-radius: 0;
    padding: 0;
    padding-bottom: 10px;
    background: #3c445b;
}
#ui-datepicker-div .ui-datepicker-header {
    border-radius: 0;
    padding: 10px 7.5%;
    background: #7a3b80;
    border: none;
    font-family: robotolight;
    font-size: 16px;
}
.ui-datepicker .ui-datepicker-prev {
    left: 7.5%;
    top: 10px;
    background: url("../images/leftArrowWhite.png") no-repeat;
    background-position: left center;
    background-size: 19px;
    cursor: pointer;
}
.ui-datepicker .ui-datepicker-next {
    right: 7.5%;
    top: 10px;
    background: url("../images/rightArrowWhite.png") no-repeat;
    background-position: right center;
    background-size: 19px;
    cursor: pointer;
}
.ui-datepicker .ui-datepicker-prev:hover ,
.ui-datepicker .ui-datepicker-next:hover {
    border: none;
}


.ui-datepicker table{
    margin: 0 auto;
    width: 92%;
    color: #ffffff;
}
.ui-datepicker th{
    font-family: robotoregular;
    font-size: 15px;
}
.ui-datepicker td{
    font-family: robotolight;
    text-align: center;
    font-size: 15px;
}
.ui-datepicker td .ui-state-default{
    border: none;
    background: transparent;
    color: #8491b3;
    line-height: 30px;
    width: 30px;
}
.ui-datepicker td .ui-state-highlight,
.ui-datepicker td .ui-state-active{
    color: #ffffff;
    border-radius: 20px;
}
.ui-datepicker td .ui-state-highlight,
.ui-datepicker td .ui-state-highlight.ui-state-active{
    background: #7a3b80;
}
.ui-datepicker td .ui-state-active{
    background: rgba(116, 133, 176, 0.71);
}

/*smrt data download*/
.validationAlert{
    text-align: left;
    padding-left: 1%;
}
.validationAlert .txt{
    display: inline-block;
    font-size: 15px;
    padding: 25px 50px;
    background: rgba(60, 68, 91, 0.61);
}



/*........ loader animation ...........*/

#circularG{
    position:relative;
    width:27px;
    height:27px;
    margin: auto;
}

.circularG{
    position:absolute;
    background-color:#fff;
    width:6px;
    height:6px;
    border-radius:4px;
    -o-border-radius:4px;
    -ms-border-radius:4px;
    -webkit-border-radius:4px;
    -moz-border-radius:4px;
    animation-name:bounce_circularG;
    -o-animation-name:bounce_circularG;
    -ms-animation-name:bounce_circularG;
    -webkit-animation-name:bounce_circularG;
    -moz-animation-name:bounce_circularG;
    animation-duration:1.1s;
    -o-animation-duration:1.1s;
    -ms-animation-duration:1.1s;
    -webkit-animation-duration:1.1s;
    -moz-animation-duration:1.1s;
    animation-iteration-count:infinite;
    -o-animation-iteration-count:infinite;
    -ms-animation-iteration-count:infinite;
    -webkit-animation-iteration-count:infinite;
    -moz-animation-iteration-count:infinite;
    animation-direction:normal;
    -o-animation-direction:normal;
    -ms-animation-direction:normal;
    -webkit-animation-direction:normal;
    -moz-animation-direction:normal;
}

#circularG_1{
    left:0;
    top:11px;
    animation-delay:0.41s;
    -o-animation-delay:0.41s;
    -ms-animation-delay:0.41s;
    -webkit-animation-delay:0.41s;
    -moz-animation-delay:0.41s;
}

#circularG_2{
    left:3px;
    top:3px;
    animation-delay:0.55s;
    -o-animation-delay:0.55s;
    -ms-animation-delay:0.55s;
    -webkit-animation-delay:0.55s;
    -moz-animation-delay:0.55s;
}

#circularG_3{
    top:0;
    left:11px;
    animation-delay:0.69s;
    -o-animation-delay:0.69s;
    -ms-animation-delay:0.69s;
    -webkit-animation-delay:0.69s;
    -moz-animation-delay:0.69s;
}

#circularG_4{
    right:3px;
    top:3px;
    animation-delay:0.83s;
    -o-animation-delay:0.83s;
    -ms-animation-delay:0.83s;
    -webkit-animation-delay:0.83s;
    -moz-animation-delay:0.83s;
}

#circularG_5{
    right:0;
    top:11px;
    animation-delay:0.97s;
    -o-animation-delay:0.97s;
    -ms-animation-delay:0.97s;
    -webkit-animation-delay:0.97s;
    -moz-animation-delay:0.97s;
}

#circularG_6{
    right:3px;
    bottom:3px;
    animation-delay:1.1s;
    -o-animation-delay:1.1s;
    -ms-animation-delay:1.1s;
    -webkit-animation-delay:1.1s;
    -moz-animation-delay:1.1s;
}

#circularG_7{
    left:11px;
    bottom:0;
    animation-delay:1.24s;
    -o-animation-delay:1.24s;
    -ms-animation-delay:1.24s;
    -webkit-animation-delay:1.24s;
    -moz-animation-delay:1.24s;
}

#circularG_8{
    left:3px;
    bottom:3px;
    animation-delay:1.38s;
    -o-animation-delay:1.38s;
    -ms-animation-delay:1.38s;
    -webkit-animation-delay:1.38s;
    -moz-animation-delay:1.38s;
}




@keyframes bounce_circularG{
    0%{
        transform:scale(1);
    }

    100%{
        transform:scale(.3);
    }
}

@-o-keyframes bounce_circularG{
    0%{
        -o-transform:scale(1);
    }

    100%{
        -o-transform:scale(.3);
    }
}

@-ms-keyframes bounce_circularG{
    0%{
        -ms-transform:scale(1);
    }

    100%{
        -ms-transform:scale(.3);
    }
}

@-webkit-keyframes bounce_circularG{
    0%{
        -webkit-transform:scale(1);
    }

    100%{
        -webkit-transform:scale(.3);
    }
}

@-moz-keyframes bounce_circularG{
    0%{
        -moz-transform:scale(1);
    }

    100%{
        -moz-transform:scale(.3);
    }
}

.DateRangeTextMessage{
  padding-bottom: 10px;
  font-size:19px;
}

